﻿/*MENÚ HORIZONTAL CON DESPLEGABLE*/



/*MENU VERTICAL*/

.main-menu {
  padding: 0;
  margin: 0;
  background: #e8e8e8;
}
.main-menu li {
  display: block;
  position: relative;
  list-style: none;
  border-top: 1px solid rgba(0, 0, 0, 0.1);
  text-align: center;
}
.main-menu li:first-child {
  border-top: none;
}
.main-menu li a {
  color: #000;
  font-size: 1em;
  /*font-weight: bold;*/
  transition: all 0.2s ease-in-out;
  -moz-transition: all 0.2s ease-in-out;
  -webkit-transition: all 0.2s ease-in-out;
  -o-transition: all 0.2s ease-in-out;
  display: block;
  padding: 16px 20px;
  background: #e8e8e8;
  text-decoration: none;
 
}

/*.main-menu li a:hover {color:#ffffff;}*/
.main-menu li a:hover {color:white;}
.main-menu li ul li a:hover {color:white;}

.main-menu li a span {
  position: relative;
  z-index: 2;
}
.main-menu li a:after {
  position: absolute;
  content: '';
  top: 0;
  left: 0;
  width: 0;
  height: 100%;
  background: #000;
  transition: all 0.2s ease-in-out;
  -moz-transition: all 0.2s ease-in-out;
  -webkit-transition: all 0.2s ease-in-out;
  -o-transition: all 0.2s ease-in-out;
  color:#ffffff;
}
.main-menu li a:hover:after {
  width: 100%;
}
.main-menu li a.active:after {
  background: #000; color:#ffffff;
}

ul.drop-down {
  margin: 0;
  padding: 0;
  background: #e8e8e8;/*fondo que simula lineas*/
  position: absolute;
  top: -1px;
  width: 100%;
  visibility: hidden;
  opacity: 0;
  z-index: 3;
  text-align: left !important;
  left: 100%;
  margin-left: 1px;
  transition: all 0.2s ease-in-out;
  -moz-transition: all 0.2s ease-in-out;
  -webkit-transition: all 0.2s ease-in-out;
  -o-transition: all 0.2s ease-in-out;
  -webkit-backface-visibility: hidden;
  -webkit-transform-origin: 0 0;
  -moz-transform-origin: 0 0;
  -ms-transform-origin: 0 0;
  -o-transform-origin: 0 0;
  transform-origin: 0 0;
  -webkit-transform: rotateY(-90deg);
  -moz-transform: rotateY(-90deg);
  -ms-transform: rotateY(-90deg);
  -o-transform: rotateY(-90deg);
  transform: rotateY(-90deg);
}
li.drop:hover > ul.drop-down {
  visibility: visible;
  opacity: 1;
  -webkit-transform: rotateY(0deg);
  -moz-transform: rotateY(0deg);
  -ms-transform: rotateY(0deg);
  -o-transform: rotateY(0deg);
  transform: rotateY(0deg);
  color:  #ffffff;
}


li.drop.active > a, li.drop.active ul li.active a{
  background:#000; color:#ffffff;
}


a.elemadded {
  display: none;
  position: relative;
  color: #ffffff;
  transition: all 0.2s ease-in-out;
  -moz-transition: all 0.2s ease-in-out;
  -webkit-transition: all 0.2s ease-in-out;
  -o-transition: all 0.2s ease-in-out;
  padding: 16px 20px;
  background: #000;/*barra menú móvil*/
  text-decoration: none;
  -webkit-backface-visibility: hidden;

  font-size:2em; font-style:normal; text-align:left;
}
a.elemadded:hover {
  opacity: 0.9; color:#ffffff;
}

@media (max-width: 991px) {
.navbar-vertical {
    position: absolute;
    left: 0;
    visibility: hidden;
    opacity: 0;
    width: 100%;
    top: 100%;
    transition: all 0.2s ease-in-out;
    -moz-transition: all 0.2s ease-in-out;
    -webkit-transition: all 0.2s ease-in-out;
    -o-transition: all 0.2s ease-in-out;
    -webkit-transform-origin: 0 0;
    -moz-transform-origin: 0 0;
    -ms-transform-origin: 0 0;
    -o-transform-origin: 0 0;
    transform-origin: 0 0;
    -webkit-transform: rotateX(90deg);
    -moz-transform: rotateX(90deg);
    -ms-transform: rotateX(90deg);
    -o-transform: rotateX(90deg);
    transform: rotateX(90deg);
    max-height: 320px;
    overflow-y: scroll;
    overflow-x: hidden;

  }
  .navbar-vertical.active {
    visibility: visible;
    opacity: 1;
    -webkit-transform: rotateX(0deg);
    -moz-transform: rotateX(0deg);
    -ms-transform: rotateX(0deg);
    -o-transform: rotateX(0deg);
    transform: rotateX(0deg);
  }
  ul.drop-down {
    position: relative;
    text-align: center;
    top: 0;
    left: 0;
    width: 100%;
    visibility: visible;
    opacity: 1;
    -webkit-transform: rotateY(0deg);
    -moz-transform: rotateY(0deg);
    -ms-transform: rotateY(0deg);
    -o-transform: rotateY(0deg);
    transform: rotateY(0deg);
  }
  .main-menu li:first-child {
    border-top: 1px solid rgba(0, 0, 0, 0.1);
  }
  a.elemadded {
    display: block;
  }
}